PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
SOCMEM_Type Struct Reference

## Description

SoC memory (SOCMEM)

## Data Fields
__IOM uint32_t | CTL
__IM uint32_t | STATUS
__IOM uint32_t | GK_CTL
__IM uint32_t | GK_STATUS
__IOM uint32_t | ARB_DYN_CTL [16]
__IM uint32_t | RESERVED [4]
__IOM uint32_t | MPC_READ_PORT_CTL
__IM uint32_t | RESERVED1 [39]
__IOM uint32_t | ECC_CTL
__IOM uint32_t | ECC_MATCH
__IM uint32_t | RESERVED2 [2]
__IOM uint32_t | WOUNDING
__IM uint32_t | RESERVED3 [59]
__IOM uint32_t | PWR_PARTITION_CTL [16]
__IM uint32_t | RESERVED4 [16]
__IOM uint32_t | PWR_PARTITION_CTL_LOCK
__IOM uint32_t | PWR_DELAY_CTL
__IM uint32_t | PWR_STATUS
__IM uint32_t | RESERVED5 [1885]
SOCMEM_SRAM_Type | SRAM
SOCMEM_SROM_Type | SROM
__IM uint32_t | RESERVED6 [12288]
SOCMEM_PORT_STRUCT_Type | PORT_STRUCT [16]
SOCMEM_PPU_SOCMEM_Type | PPU_SOCMEM
SOCMEM_SOCMEM_Type | SOCMEM

## Field Documentation

## ◆ CTL

__IOM uint32_t SOCMEM_Type::CTL

0x00000000 Control

## ◆ STATUS

__IM uint32_t SOCMEM_Type::STATUS

0x00000004 Status

## ◆ GK_CTL

__IOM uint32_t SOCMEM_Type::GK_CTL

0x00000008 Gate keeper control

## ◆ GK_STATUS

__IM uint32_t SOCMEM_Type::GK_STATUS

0x0000000C Gate keeper status

## ◆ ARB_DYN_CTL

__IOM uint32_t SOCMEM_Type::ARB_DYN_CTL[16]

0x00000010 Port arbitration control

## ◆ RESERVED

__IM uint32_t SOCMEM_Type::RESERVED[4]

## ◆ MPC_READ_PORT_CTL

__IOM uint32_t SOCMEM_Type::MPC_READ_PORT_CTL

0x00000060 MPC MMIO read port index control

## ◆ RESERVED1

__IM uint32_t SOCMEM_Type::RESERVED1[39]

## ◆ ECC_CTL

__IOM uint32_t SOCMEM_Type::ECC_CTL

0x00000100 ECC control

## ◆ ECC_MATCH

__IOM uint32_t SOCMEM_Type::ECC_MATCH

0x00000104 ECC match

## ◆ RESERVED2

__IM uint32_t SOCMEM_Type::RESERVED2[2]

## ◆ WOUNDING

__IOM uint32_t SOCMEM_Type::WOUNDING

0x00000110 Wounding

## ◆ RESERVED3

__IM uint32_t SOCMEM_Type::RESERVED3[59]

## ◆ PWR_PARTITION_CTL

__IOM uint32_t SOCMEM_Type::PWR_PARTITION_CTL[16]

0x00000200 SRAM partition power control

## ◆ RESERVED4

__IM uint32_t SOCMEM_Type::RESERVED4[16]

## ◆ PWR_PARTITION_CTL_LOCK

__IOM uint32_t SOCMEM_Type::PWR_PARTITION_CTL_LOCK

0x00000280 SRAM power partition control Lock

## ◆ PWR_DELAY_CTL

__IOM uint32_t SOCMEM_Type::PWR_DELAY_CTL

0x00000284 SRAM power switch power up & sequence delay

## ◆ PWR_STATUS

__IM uint32_t SOCMEM_Type::PWR_STATUS

0x00000288 SRAM power status

## ◆ RESERVED5

__IM uint32_t SOCMEM_Type::RESERVED5[1885]

## ◆ SRAM

SOCMEM_SRAM_Type SOCMEM_Type::SRAM

0x00002000 SRAM MPC

## ◆ SROM

SOCMEM_SROM_Type SOCMEM_Type::SROM

0x00003000 SROM MPC

## ◆ RESERVED6

__IM uint32_t SOCMEM_Type::RESERVED6[12288]

## ◆ PORT_STRUCT

SOCMEM_PORT_STRUCT_Type SOCMEM_Type::PORT_STRUCT[16]

0x00010000 Port structure

## ◆ PPU_SOCMEM

SOCMEM_PPU_SOCMEM_Type SOCMEM_Type::PPU_SOCMEM

0x00020000 Power Policy Unit Registers for SOCMEM PPU

## ◆ SOCMEM

SOCMEM_SOCMEM_Type SOCMEM_Type::SOCMEM

0x00021000 Power Domain controller